OGRE: Ogre::LodCollapseCostProfiler Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::LodCollapseCostProfiler Class Reference

`#include <OgreLodCollapseCostProfiler.h>`

Inheritance diagram for Ogre::LodCollapseCostProfiler:
[legend]

## Public Member Functions
| LodCollapseCostProfiler (LodProfile &profile, LodCollapseCostPtr &costCalculator)
virtual Real | computeEdgeCollapseCost (LodData *data, LodData::Vertex *src, LodData::Edge *dstEdge)
| Returns the collapse cost of the given edge. More...
virtual void | computeVertexCollapseCost (LodData *data, LodData::Vertex *vertex, Real &collapseCost, LodData::Vertex *&collapseTo)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated. More...
virtual void | initCollapseCosts (LodData *data)
| This is called after the LodInputProvider has initialized LodData. More...
virtual void | initVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called from initCollapseCosts for every edge. More...
virtual void | updateVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called when edge cost gets invalid. More...

## Constructor & Destructor Documentation

## ◆ LodCollapseCostProfiler()

Ogre::LodCollapseCostProfiler::LodCollapseCostProfiler | ( | LodProfile & | profile,
|  | LodCollapseCostPtr & | costCalculator
| ) |  |
| inline

## Member Function Documentation

## ◆ computeEdgeCollapseCost()

virtual Real Ogre::LodCollapseCostProfiler::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | src,
|  | LodData::Edge * | dstEdge
| ) |  |
| virtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

## ◆ computeVertexCollapseCost()

virtual void Ogre::LodCollapseCostProfiler::computeVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex,
|  | Real & | collapseCost,
|  | LodData::Vertex *& | collapseTo
| ) |  |
| virtual

Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.

Reimplemented from Ogre::LodCollapseCost.

## ◆ initCollapseCosts()

virtual void Ogre::LodCollapseCostProfiler::initCollapseCosts | ( | LodData * | data | ) |
| virtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented from Ogre::LodCollapseCost.

## ◆ initVertexCollapseCost()

virtual void Ogre::LodCollapseCost::initVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex
| ) |  |
| virtualinherited

Called from initCollapseCosts for every edge.

## ◆ updateVertexCollapseCost()

virtual void Ogre::LodCollapseCost::updateVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex
| ) |  |
| virtualinherited

Called when edge cost gets invalid.

Reimplemented in Ogre::LodCollapseCostQuadric.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostProfiler.h